<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetFormulas](./bitburner.darknetformulas.md) &gt; [getAuthenticateTime](./bitburner.darknetformulas.getauthenticatetime.md)

## DarknetFormulas.getAuthenticateTime() method

Gets the time it will take to authenticate a server.

**Signature:**

```typescript
getAuthenticateTime(
    serverDetails: DarknetServerDetails,
    threads?: number,
    player?: Person,
    correctCharactersInPassword?: number,
  ): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

serverDetails


</td><td>

[DarknetServerDetails](./bitburner.darknetserverdetails.md)


</td><td>

The server to check authentication time on.


</td></tr>
<tr><td>

threads


</td><td>

number


</td><td>

_(Optional)_ The number of threads to use for the authentication. Optional, defaults to 1


</td></tr>
<tr><td>

player


</td><td>

[Person](./bitburner.person.md)


</td><td>

_(Optional)_ The player object. Optional, defaults to the current player status


</td></tr>
<tr><td>

correctCharactersInPassword


</td><td>

number


</td><td>

_(Optional)_ only used for 2G\_cellular model servers. The number of correct characters in the attempted password. Optional, defaults to 0


</td></tr>
</tbody></table>

**Returns:**

number

